#include "GUIConvertSeparation.h"
#include "ui_GUIConvertSeparation.h"

#include "GUICommon.h"
#include "GUIMainWindow.h"

GUIConvertSeparation::GUIConvertSeparation(QWidget *parent) :
	QDialog(parent), ui(new Ui::GUIConvertSeparation) {
	ui->setupUi(this);
	::setWindowTitle(this);
}

GUIConvertSeparation::~GUIConvertSeparation() {
	delete ui;
}

void GUIConvertSeparation::convert() {

	try {
		GUIMainWindow *main = GUIMainWindow::getMainWindow();

		QTabWidget *tab = main->secondTabWidget();
		GUITabDocument* guidoc = dynamic_cast<GUITabDocument*> (tab->currentWidget());
		HT::UIDocument *base = guidoc->getDoc();
		HT::GSS::UIDocument* uidoc = (HT::GSS::UIDocument*) base;
		HT::GSS::UIData *data = uidoc->getUIData();

		// 新規作成時に、データをhakrioのコンテナにすべて移動する
		HT::GSS::moveToHARKIOParam param;
		param.NMic = data->getNMic();
		param.NFFT = data->getNFFT();
		param.NFS = data->getNFS();
		param.NIR = ui->ir_length->value();
		param.src_list = data->getSrc();
		param.mic_list = data->getMic();
		param.tf_matrix = data->getMatrix();
		data->moveToHARKIO(param);

		int type = data->getFileType();
		if (type == HT::GSS::UIData::TF_CONJ) {
			GUISeparationTF* guidoc2 = (GUISeparationTF*) guidoc;
			guidoc2->disp();
		}	else if (type == HT::GSS::UIData::SM) {
			GUISeparationMatrix* guidoc2 = (GUISeparationMatrix*) guidoc;
			guidoc2->disp();
		}
		DISP_INFO("Conversion completed.");
		main->uiUpdate();
		done(0);
	} catch (std::exception& exp) {
		DISP_DIALOG(exp);
		return;
	}
}

void GUIConvertSeparation::changeEvent(QEvent *e) {
	QDialog::changeEvent(e);
	switch (e->type()) {
	case QEvent::LanguageChange:
		ui->retranslateUi(this);
		break;
	default:
		break;
	}
}
