#include "GUIMicaryLocationFileTemplateNew.h"
#include "ui_GUIMicaryLocationFileTemplateNew.h"

#include <math.h>
#include "GUICommon.h"


GUIMicaryLocationFileTemplateNew::GUIMicaryLocationFileTemplateNew(
		QWidget *parent) :
	QDialog(parent), ui(new Ui::GUIMicaryLocationFileTemplateNew) {
	ui->setupUi(this);

	::setWindowTitle(this);
}

GUIMicaryLocationFileTemplateNew::~GUIMicaryLocationFileTemplateNew() {
	delete ui;
}

void GUIMicaryLocationFileTemplateNew::createTemplate() {

	try {
		QStringList lines;

		double from = ui->phi_from->value();
		double to = ui->phi_to->value();
		from = (from >= to ? from - 360: from);
		double interval = ui->interval->value();
		double radius = ui->radius->value();
		double theta = ui->theta->value();
		double fcount = double(to - from) / interval;
		int count= (int)fcount + 1;

		lines << QString("# MICARY-LocationFile generated from harktool by %1.").arg(getUserName());
		lines << QString("# DateTime: %1").arg(QDateTime::currentDateTime().toString("yyyy/MM/dd HH:mm:ss"));
		lines<< "MICARY-LocationFile";
		lines<< "Version = " + QString("%1").arg("1.0");
		lines<< "NumOfPosition = " + QString("%1").arg(count);

		for (double phi = from, i=0; phi <= to ; phi+=interval, i++) { // 小数のループに注意
			double x = radius * cos(theta * M_PI / 180) * cos(phi * M_PI / 180);
			double y = radius * cos(theta * M_PI / 180) * sin(phi * M_PI / 180);
			double z = radius * sin(theta * M_PI / 180);
			lines<< "Position " + QString("%1, %2, %3, %4").arg(i,2).arg(x,7,'f',4).arg(y,7,'f',4).arg(z,7,'f',4);
		}
		QString text = lines.join("\n");
		text += "\n";
		emit createdTemplate(text);
		close();
	} catch (std::exception& exp) {
		DISP_DIALOG(exp);
		return;
	}
	return;
}

void GUIMicaryLocationFileTemplateNew::changeEvent(QEvent *e) {
	QDialog::changeEvent(e);
	switch (e->type()) {
	case QEvent::LanguageChange:
		ui->retranslateUi(this);
		break;
	default:
		break;
	}
}
