#ifndef GUISEPARATIONMATRIX_H
#define GUISEPARATIONMATRIX_H

#include <QWidget>
#include "UITFDocument.h"
#include "GUITabDocument.h"

namespace Ui {
class GUISeparationMatrix;
}

class GUISeparationMatrix: virtual public QWidget , public GUITabDocument {
Q_OBJECT
protected:
	HT::GSS::UIDocument* doc;

	QTreeWidgetItem *item_mic;
	QTreeWidgetItem *item_src;
	QTreeWidgetItem *item_matrix;

	// SPEC情報
	QTreeWidgetItem *spec_date;
	QTreeWidgetItem *spec_location;
	QTreeWidgetItem *spec_robot;
	QTreeWidgetItem *spec_array_type;
	QTreeWidgetItem *spec_creator;
	QTreeWidgetItem *spec_memo;
public:
	GUISeparationMatrix(HT::GSS::UIDocument* doc, QWidget *parent = 0);

	virtual ~GUISeparationMatrix();
	virtual void saveFile(bool dialog);
	virtual void openFile(QString fname);
	virtual HT::GSS::UIDocument* getDoc() {
		return doc;
	}
protected:
	void changeEvent(QEvent *e);

private:
	void dispHARKIOData();
	void dispOldData();

public slots:
	void disp();
	void dispPanel(QTreeWidgetItem *item, int column);

private:
	Ui::GUISeparationMatrix *ui;
};

#endif // GUISEPARATIONMATRIX_H
