#ifndef GUISEPARATIONTF_H
#define GUISEPARATIONTF_H

#include <QWidget>
#include "UITFDocument.h"
#include "GUITabDocument.h"

namespace Ui {
class GUISeparationTF;
}

class GUISeparationTF: virtual public QWidget , public GUITabDocument {
Q_OBJECT
protected:
	HT::GSS::UIDocument* doc;

	QTreeWidgetItem *item_mic;
	QTreeWidgetItem *item_src;
	QTreeWidgetItem *item_tf;

	// SPEC情報
	QTreeWidgetItem *spec_date;
	QTreeWidgetItem *spec_location;
	QTreeWidgetItem *spec_robot;
	QTreeWidgetItem *spec_array_type;
	QTreeWidgetItem *spec_creator;
	QTreeWidgetItem *spec_memo;

public:

	GUISeparationTF(HT::GSS::UIDocument* doc, QWidget *parent = 0);
	GUISeparationTF(QWidget *parent = 0);
	virtual ~GUISeparationTF();
	virtual void saveFile(bool dialog);
	virtual void openFile(QString fname);
	virtual HT::GSS::UIDocument* getDoc() {
		return doc;
	}
	void disp();

protected:
	void dispHARKIOData();
	void dispOldData();
	void changeEvent(QEvent *e);

public slots:
	void dispPanel(QTreeWidgetItem *item, int column);

private:
	Ui::GUISeparationTF *ui;
};

#endif // GUISEPARATIONTF_H
