#ifndef GUISeparationTFNew_H
#define GUISeparationTFNew_H

#include <QDialog>
#include  "GUISeparationTF.h"
#include  "UITFDocument.h"

namespace Ui {
    class GUISeparationTFNew;
}

class GUISeparationTFNew : public QDialog {
    Q_OBJECT
protected:
	// ダイアログ表示前に、コンボボックス作成情報を、ここに格納します。
	QVector<QPair<QString, QString> > tsp_files;
	QVector<QPair<QString, QString> > mic_files;
	QVector<QPair<QString, QString> > impulse_files;
public:
    GUISeparationTFNew(QWidget *parent = 0);
    ~GUISeparationTFNew();

	void pushTSPFiles(QString name, QString fname) {
		tsp_files.push_back(QPair<QString, QString>(name, fname));
	}
	void pushMicFiles(QString name, QString fname) {
		mic_files.push_back(QPair<QString, QString>(name, fname));
	}
	void pushImpulseFiles(QString name, QString fname) {
		impulse_files.push_back(QPair<QString, QString>(name, fname));
	}
	void updateComboBox();

public slots:
	void ok_clicked();
	void signal_data_clicked();
	void mic_location_clicked();
	void src_location_clicked();
	void createdTSP(int current, int total,HT::UIData* data);
	void changeComboBox(int index);

	string getFileLocation(string fname, string location);
	void saveFileLocation(string fname, string location);

signals:
	void createdData(GUITabDocument *guidoc);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::GUISeparationTFNew *ui;
};

#endif // GUISeparationTFNew_H
